# README for dataport-schuposh-import-config

This package contains configuration files, pyhooks and a join script for ucs-school-import.

## Join script

* `usr/lib/univention-install/99dataport-schuposh-import-config.inst`
This join script is called by postinst.
It creates the limbo_ou ~~transfer~~ "DeaktivierteKonten" for SiSoPi and makes the extended attribute ucsschoolRecordUID visible in UMC.


## Pyhooks
`usr/share/ucs-school-import/pyhooks/`

| name                     | description                                                                                                                                                                     | priority                         |
|--------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------|
| `add_saml_SPs.py`        | adds SAML SP permissions (atm: webmail only) to every user                                                                                                                     | pre_create: 100, pre_modify: 100 |
| `generate_record_uid.py` | generates a random unique record_uid consisting of the letter "s" and a random integer between 1 and 99999999 and adds it to the input CSV if students are imported     | pre_read: 1000                   |
| `send_passwords.py`      | calls `/usr/sbin/send_import_passwords` from `dataport-send-import-passwords after the import`                                                                                  | user_result: 1                   |
| `pwdChangeNextLogin.py`  | requires every user to change his password at the first login. Adapted from: https://help.univention.com/t/q-a-how-can-i-force-users-to-change-passwords-after-importing | pre_create: 100                  |

## Configuration
`var/lib/ucs-school-import/configs`

* student.json
This config file contains settings specific to student users.

* teacher.json
This config file contains settings specific to teacher users.
It's being added to the config by the pyhook ext_config_dep_on_role.py which is shipped with UCS and activated/copied to /usr/share/ucs-school-import/pyhooks/ by postinst.

* user_import.json
The main config file which gets additional settings from student.json and teacher.json
